summaryrefslogtreecommitdiff
path: root/app-admin/integrit
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /app-admin/integrit
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'app-admin/integrit')
-rw-r--r--app-admin/integrit/Manifest1
-rw-r--r--app-admin/integrit/files/integrit-4.1-fix-build-system.patch43
-rw-r--r--app-admin/integrit/files/integrit-4.2_rc1-type-mismatch.patch21
-rw-r--r--app-admin/integrit/integrit-4.2_rc1.ebuild83
-rw-r--r--app-admin/integrit/metadata.xml5
5 files changed, 153 insertions, 0 deletions
diff --git a/app-admin/integrit/Manifest b/app-admin/integrit/Manifest
new file mode 100644
index 000000000000..646ab2e0f777
--- /dev/null
+++ b/app-admin/integrit/Manifest
@@ -0,0 +1 @@
+DIST integrit-4.2_rc1.tar.gz 223627 BLAKE2B ff0dead8a8903dba0f43c7746672ca2d57aced352df2fef7b195fc90e9b38e77bb21affb40c424c5d23df7dcecf3192c1bff5c7c04d3fcbc5dad0dae60565f93 SHA512 2a86a37c684ca0b78bbf7901c8e72511f1169e8af7e9b4efdeadbade52e8fc7302167f6d82bd02b5af9688a05d13fc56d4f5474e3e04d1aef3dd9f72d782d739
diff --git a/app-admin/integrit/files/integrit-4.1-fix-build-system.patch b/app-admin/integrit/files/integrit-4.1-fix-build-system.patch
new file mode 100644
index 000000000000..64b3d47e59f8
--- /dev/null
+++ b/app-admin/integrit/files/integrit-4.1-fix-build-system.patch
@@ -0,0 +1,43 @@
+--- a/configure.in
++++ b/configure.in
+@@ -26,7 +26,6 @@
+
+ # ----- you can override these values by setting environment variables
+ # CC=my-compiler ./configure
+-CC=${CC:-"gcc"}
+ # CFLAGS="-g foo -x bar" ./configure
+ CFLAGS=${CFLAGS-"-g -Wall -O2"}
+ STATIC=${STATIC-"-static"}
+@@ -53,10 +52,9 @@
+ dnl AC_PROG_LEX
+ AC_PROG_MAKE_SET
+ AC_PROG_AWK
+-AC_PROGRAM_PATH(RM, rm , rm)
+ dnl syncing is the job of the O.S., and users can always do "make; sync"
+ dnl AC_PROGRAM_PATH(SYNC, sync, sync)
+-AC_PROGRAM_PATH(AR, ar, ar)
++AM_PROG_AR
+ AC_PROG_RANLIB
+
+ dnl ---------- let users override the install that configure finds
+--- a/hashtbl/configure.in
++++ b/hashtbl/configure.in
+@@ -25,17 +25,15 @@
+
+ # ----- you can override these values by setting environment variables
+ # CC=my-compiler ./configure
+-CC=${CC:-"gcc"}
+ # CFLAGS="-g foo -x bar" ./configure
+ CFLAGS=${CFLAGS:-"-g -Wall -O2"}
+ STATIC=${STATIC:-"-static"}
+
+ dnl Checks for programs.
+ AC_PROG_CC
+-AC_PROGRAM_PATH(RM, rm , rm)
+ dnl syncing is the job of the O.S., and users can always do "make; sync"
+ dnl AC_PROGRAM_PATH(SYNC, sync, sync)
+-AC_PROGRAM_PATH(AR, ar, ar)
++AM_PROG_AR
+ AC_PROG_MAKE_SET
+ AC_PROG_RANLIB
+
diff --git a/app-admin/integrit/files/integrit-4.2_rc1-type-mismatch.patch b/app-admin/integrit/files/integrit-4.2_rc1-type-mismatch.patch
new file mode 100644
index 000000000000..49334b5be488
--- /dev/null
+++ b/app-admin/integrit/files/integrit-4.2_rc1-type-mismatch.patch
@@ -0,0 +1,21 @@
+From 6060c3dec866ee67baf57f09aa67823bd6b0a8da Mon Sep 17 00:00:00 2001
+From: Yuri D'Elia <wavexx@thregr.org>
+Date: Tue, 16 Mar 2021 17:07:24 +0100
+Subject: [PATCH] Fix mismatching argument type declaration in cdb_put.h
+
+---
+ cdb_put.h | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/cdb_put.h b/cdb_put.h
+index 077871d..261f8e5 100644
+--- a/cdb_put.h
++++ b/cdb_put.h
+@@ -21,6 +21,6 @@ Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+ #define ELC_CDB_PUT_H
+
+ int cdb_put(struct cdb_make *c,
+- char *key, unsigned klen, void *val, unsigned vlen);
++ char *key, size_t klen, void *val, size_t vlen);
+
+ #endif
diff --git a/app-admin/integrit/integrit-4.2_rc1.ebuild b/app-admin/integrit/integrit-4.2_rc1.ebuild
new file mode 100644
index 000000000000..fda9c079874a
--- /dev/null
+++ b/app-admin/integrit/integrit-4.2_rc1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools dot-a
+
+MY_PV="${PV/_/-}"
+
+DESCRIPTION="file integrity verification program"
+HOMEPAGE="https://integrit.sourceforge.net/"
+SRC_URI="https://github.com/integrit/integrit/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+
+# Tests don't work in 4.2_rc1. Please re-check on version bump!
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}"-4.1-fix-build-system.patch
+ # backport fix for https://github.com/integrit/integrit/issues/8
+ # https://bugs.gentoo.org/941078
+ "${FILESDIR}"/${P}-type-mismatch.patch
+)
+
+BDEPEND="sys-apps/texinfo"
+
+src_prepare() {
+ default
+ mv configure.{in,ac} || die "Failed to move configure.in into .ac"
+ mv hashtbl/configure.{in,ac} || die "Failed to move hashtbl/configure.in into .ac"
+
+ eautoreconf
+ touch ar-lib || die #775746
+}
+
+src_configure() {
+ lto-guarantee-fat
+ default
+}
+
+src_compile() {
+ emake
+ emake utils
+
+ emake -C doc
+ emake -C hashtbl hashtest
+}
+
+src_install() {
+ dosbin integrit
+ dolib.a libintegrit.a
+ dodoc Changes HACKING README todo.txt
+
+ # utils
+ dosbin utils/i-viewdb
+ dobin utils/i-ls
+
+ # hashtbl
+ dolib.a hashtbl/libhashtbl.a
+ doheader hashtbl/hashtbl.h
+ dobin hashtbl/hashtest
+ newdoc hashtbl/README README.hashtbl
+
+ # doc
+ doman doc/{i-ls.1,i-viewdb.1,integrit.1}
+ doinfo doc/integrit.info
+
+ # examples
+ dodoc -r examples
+
+ strip-lto-bytecode
+}
+
+pkg_postinst() {
+ elog "It is recommended that the integrit binary is copied to a secure"
+ elog "location and re-copied at runtime or run from a secure medium."
+ elog "You should also create a configuration file (see examples)."
+}
diff --git a/app-admin/integrit/metadata.xml b/app-admin/integrit/metadata.xml
new file mode 100644
index 000000000000..5f33304011d5
--- /dev/null
+++ b/app-admin/integrit/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>